#include "Core/Mesh.h"

Mesh::Mesh() {}

Mesh::~Mesh() {}

void Mesh::SetVertices(Vertex* vertices, uint32 vertexCount, bool copied) {
    isVerticesCopied_ = copied;
    vertexCount_ = vertexCount;

    if (isIndicesCopied_) {

    } else {
        vertices_ = vertices;
    }
}

void Mesh::SetIndices(uint32* indices, uint32 indexCount, bool copied) {
    isIndicesCopied_ = copied;
    indexCount_ = indexCount;

    if (isVerticesCopied_) {

    } else {
        indices_ = indices;
    }
}
